<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syspm__functions__power__status" kind="group">
    <compoundname>group_syspm_functions_power_status</compoundname>
    <title>Power Status</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__power__status_1ga34f44193113ae63ea538365ab923d1c3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_Cm4IsActive</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_Cm4IsActive</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Checks if CM4 is in CPU Active mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True if CM4 is in CPU Active mode.</para></listitem><listitem><para>False if the CM4 is not in CPU Active mode.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />if<sp />CM4<sp />is<sp />in<sp />CPU<sp />Active<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__power__status_1ga34f44193113ae63ea538365ab923d1c3">Cy_SysPm_Cm4IsActive</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CM4<sp />is<sp />in<sp />CPU<sp />Active<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1964" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1961" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1833" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__power__status_1gacd7b6466440678ce4ea36dbba53eaa3e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_Cm4IsSleep</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_Cm4IsSleep</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Checks if the CM4 is in CPU Sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True if the CM4 is in CPU Sleep mode.</para></listitem><listitem><para>False if the CM4 is not in CPU Sleep mode.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />if<sp />CM4<sp />is<sp />in<sp />CPU<sp />Sleep<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__power__status_1gacd7b6466440678ce4ea36dbba53eaa3e">Cy_SysPm_Cm4IsSleep</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CM4<sp />is<sp />in<sp />CPU<sp />Sleep<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1984" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="1981" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1834" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__power__status_1ga389fa8b458733f1574434f5ddfc03331" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_Cm4IsDeepSleep</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_Cm4IsDeepSleep</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Checks if the CM4 is in the CPU Deep Sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True if CM4 is in CPU Deep Sleep mode.</para></listitem><listitem><para>False if the CM4 is not CPU in Deep Sleep mode.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />if<sp />CM4<sp />is<sp />in<sp />CPU<sp />Deep<sp />Sleep<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__power__status_1ga389fa8b458733f1574434f5ddfc03331">Cy_SysPm_Cm4IsDeepSleep</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CM4<sp />is<sp />in<sp />CPU<sp />Deep<sp />Sleep<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2004" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2001" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1835" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__power__status_1ga99d706bb5ec60d53e898a7d8c03f90f4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_Cm0IsActive</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_Cm0IsActive</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Checks if the CM0+ is in CPU Active mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True if the CM0+ is in CPU Sleep mode.</para></listitem><listitem><para>False if the CM0+ is not in CPU Sleep mode.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />if<sp />CM0+<sp />is<sp />in<sp />CPU<sp />Active<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__power__status_1ga99d706bb5ec60d53e898a7d8c03f90f4">Cy_SysPm_Cm0IsActive</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CM0+<sp />is<sp />in<sp />CPU<sp />Active<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2024" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2021" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1837" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__power__status_1ga3324ea8799372a7e579077b56439ef15" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_Cm0IsSleep</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_Cm0IsSleep</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Checks if the CM0+ is in CPU Sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True if the CM0+ is in CPU Sleep mode.</para></listitem><listitem><para>False if the CM0+ is not in CPU Sleep mode.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />if<sp />CM0+<sp />is<sp />in<sp />CPU<sp />Sleep<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__power__status_1ga3324ea8799372a7e579077b56439ef15">Cy_SysPm_Cm0IsSleep</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CM0+<sp />is<sp />in<sp />CPU<sp />Sleep<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2044" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2041" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1838" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__power__status_1gad3e70645976d7522a1ec5df9458ff9e2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_Cm0IsDeepSleep</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_Cm0IsDeepSleep</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Checks if the CM0+ is in CPU Deep Sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True if the CM0+ is in CPU Deep Sleep mode</para></listitem><listitem><para>False if the CM0+ is not in CPU Deep Sleep mode</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />if<sp />CM0+<sp />is<sp />in<sp />CPU<sp />Deep<sp />Sleep<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__power__status_1gad3e70645976d7522a1ec5df9458ff9e2">Cy_SysPm_Cm0IsDeepSleep</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CM0+<sp />is<sp />in<sp />CPU<sp />Deep<sp />Sleep<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2064" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2061" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1839" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__power__status_1ga96422425a82671e211851bb4d03b1456" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_IsSystemLp</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_IsSystemLp</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Checks if the system is in LP mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True the system is in LP mode.</para></listitem><listitem><para>False the system is not in LP mode.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />if<sp />the<sp />system<sp />is<sp />in<sp />Low<sp />Power</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />mode</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__power__status_1ga96422425a82671e211851bb4d03b1456">Cy_SysPm_IsSystemLp</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />system<sp />is<sp />in<sp />LP<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2084" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2081" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1840" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__power__status_1ga083851377cfb6d478ac6816ded16f7d9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysPm_IsSystemUlp</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_IsSystemUlp</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Checks if the system is in ULP mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>True the system is in ULP mode.</para></listitem><listitem><para>False the system is is not ULP mode.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />if<sp />the<sp />system<sp />is<sp />in<sp />Ultra<sp />Low<sp />Power</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />mode</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__syspm__functions__power__status_1ga083851377cfb6d478ac6816ded16f7d9">Cy_SysPm_IsSystemUlp</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />system<sp />is<sp />in<sp />ULP<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2104" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2101" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1841" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__power__status_1ga2b25c32ff6bc5f899352e4a8102af23f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SysPm_ReadStatus</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_ReadStatus</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reads the power modes status of the system and CPU(s). </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The current power mode. See <ref kindref="compound" refid="group__group__syspm__return__status">The Power Mode Status Defines</ref>.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />check<sp />the<sp />system<sp />current<sp />power<sp />mode<sp />and<sp />CPU<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />power<sp />mode</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__syspm__return__status_1ga49568080ec568a62e63466fe03377157">CY_SYSPM_STATUS_SYSTEM_ULP</ref><sp />==<sp />(<ref kindref="member" refid="group__group__syspm__return__status_1ga49568080ec568a62e63466fe03377157">CY_SYSPM_STATUS_SYSTEM_ULP</ref><sp />&amp;<sp /><ref kindref="member" refid="group__group__syspm__functions__power__status_1ga2b25c32ff6bc5f899352e4a8102af23f">Cy_SysPm_ReadStatus</ref>()))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />system<sp />is<sp />currently<sp />in<sp />ULP<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="383" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syspm.c" bodystart="316" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1843" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>